Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.75
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.collections
Interface TransactionWorker

    public interface TransactionWorker

The interface implemented to perform the work within a transaction. To run a transaction, an instance of this interface is passed to the `TransactionRunner.run(com.sleepycat.collections.TransactionWorker)` method.

Author:
  Mark Hayes

Method Summary
`void` | `doWork()` Perform the work for a single transaction.

Method Detail

### doWork

    void doWork()
                throws Exception

  Perform the work for a single transaction.

  Throws:
    `Exception`
  See Also:
    `TransactionRunner.run(com.sleepycat.collections.TransactionWorker)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB Java Edition version 3.3.75
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004,2008 Oracle. All rights reserved.